Advertisement blocking

About The Advertisement Blocking Plug-In

More and more web sites are becoming filled with ads. With a fast connection these are generally not a problem but often it's nice just to surf without the distraction of blinking, moving ads. Outpost Firewall can block the display of banner ads from certain advertisers. Outpost Firewall uses two methods:

    • Ad string blocking blocks the advertisement based on "words" (Ad-strings) in Internet advertisement URLs located in the HTML tags "<IMG SRC=" and "<A HREF=". Outpost Firewall replaces these banners with the text: [AD-IMG] or [AD].

    • Ad size blocking blocks the advertisement based on the size of images with the links (Ad-size). Outpost Firewall replaces these banners with the text [AD-SIZE] in the web page.

Note

Outpost Firewall can also block the display of Flash advertising banners based on "words" and the size of images.

Important

Outpost Firewall blocks banner ads according to the settings you specify. Some legitimate images could be blocked if the setting is too strict, such as adding the word "image" to the list of blocked words. In addition, a few ads will not be blocked with this plug-in's default settings.

Related Topics

Viewing the advertisement blocking log

About Ad string blocking

About Ad size blocking


Viewing the Advertisement Blocking Log

To view the Advertisement blocking log:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu

  2. Select Show Outpost Firewall

  3. Highlight Ads in the Plug-ins tree

  4. Press the Show Detailed Log button on the plug-in Information Panel.

  5. Outpost Log Viewer will be run displaying the log for the Advertisement blocking plug-in.

For more information about the Outpost log system please read The Outpost Log System chapter.

Related Topics

About the Advertisement Blocking Plug-in

About Ad string blocking

About Ad size blocking


Ad string blocking

About Ad String Blocking

Outpost Firewall can block the display of banner ads from certain advertisers. Outpost Firewall may block banners that contain Ad strings - "words" in Internet advertisement URLs located in the HTML tags IMG SRC and A HREF. Outpost Firewall replaces these banners with the text: [AD-IMG].

The following topics describe how to set-up Ad String blocking:

Adding words to the block list

Removing words from the block list

Editing words in the block list

Resetting the block list to default

Using the Ad Trashcan

Related Topics

About the Advertisement Blocking Plug-in

Viewing the advertisement blocking log

About Ad size blocking


Enabling HTML String Blocking

To enable HTML string blocking:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Select HTML String tab

  6. Check Enable HTML ad string blocking.

You quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad string blocking

Adding words to the block list

Editing words in the block list

Resetting the block list to default

Using the Ad Trashcan


Adding Words to the Block List

To add a word to the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Type in the word

  6. Press Add

  7. Press OK.

Any web pages that contain this word are not displayed in the web browser.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad string blocking

Removing words from the block list

Editing words in the block list

Using the Ad Trashcan


Resetting the Block List to Default

To reset an Ad-string to its default settings:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Advertisement blocking

  4. Click Settings

  5. Select HTML String tab

  6. Press Default

  7. Press OK.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad string blocking

Removing words from the block list

Editing words in the block list


Using the Ad Trashcan

The Ad Trashcan is another way of adding Ad-strings to the blocked list.

To enable Ad Trashcan:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Advertisement blocking

  4. Click Settings

  5. Select HTML String tab

  6. Check Show Ad Trashcan on your desktop

  7. Press OK.

You will see the Ad Trashcan window always on top of all other windows.

To add another Ad-string to the block list Using the Ad Trashcan:

  1. Drag and drop the banner you do not want see in future over Ad Trashcan.

  2. Select if you wish to add The whole string or A portion of the string to the Ad-string list.

  3. If you have selected A portion of the string then edit the string in the input field.

  4. Press OK.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad string blocking

Adding words to the block list

Using the Ad Trashcan


Ad size blocking

About Ad Size Blocking

Outpost Firewall can also block all banner ads having standard sizes. Immediately after installation, Outpost Firewall is set to block all images with a link (images inside an A tag) of 100 x 100, 125 X 125, 468 x 60, 470 x 60, 234 x 60, 120 x 80, and 88 x 31 pixels. Outpost Firewall replaces the designated banners with the text [AD-SIZE] in the web page.

The following topics describe how to set-up Ad size blocking:

Enabling Ad size blocking

Adding an Ad size to the block list

Editing an Ad size in the block list

Removing an Ad size from the block list

Related Topics

About the Advertisement Blocking Plug-in

Viewing the advertisement blocking log

About Ad string blocking


Enabling Ad Size Blocking

To enable Ad size blocking:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Select Image Size tab

  6. Check Enable blocking by image-size.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad size blocking

Adding an Ad size to the block list

Editing an Ad size in the block list

Removing an Ad size from the block list


Adding an Ad Size to the Block List

To block a banner with a particular size:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Select Image Size tab

  6. Type in the size of the image to be blocked in the Height and Width fields

  7. Press Add button

  8. Press OK.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad size blocking

Enabling Ad size blocking

Editing an Ad size in the block list

Removing an Ad size from the block list


Editing an Ad Size in the Block List

To edit a size of the banner that will be blocked:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Select Image Size tab

  6. Highlight the image size you want to modify

  7. Type in the new the size of the image to be blocked in Height and Width fields

  8. Press Modify button

  9. Press OK.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad size blocking

Enabling Ad size blocking

Adding an Ad size to the block list

Removing an Ad size from the block list


Removing an Ad Size from the Block List

To remove a banner with a particular size from blocking:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Advertisement blocking

  4. Click Settings

  5. Select Image Size tab

  6. Highlight the image size you want to remove

  7. Press Remove button

  8. Press OK.

Note

You can quickly access the plug-in properties by right clicking on its name in the Left Panel of Outpost Firewall's main window.

Related Topics

About Ad size blocking

Enabling Ad size blocking

Adding an Ad size to the block list

Editing an Ad size in the block list


.topic 0
Applies and saves any changes you have made, and then closes this dialog box.

.topic 0
The Cancel button closes this dialog box without saving any changes you have made. The Close button closes this dialog box and retains the changes you made.

.IDD_ADTRASHCAN (3) *******************************************************************************

.topic 0x000003F6
Blocks the entire ad string.

.topic 0x000003FB
A portion of the ad string that should be blocked.

.topic 0x000003F7
Blocks a portion of the ad string.

.IDD_PAGE_HTMLSTR (8) *****************************************************************************

.topic 0x808E0406
Adds the ad string you specified in the input field to the list.

.topic 0x808E03F6
Resets the list of ad strings to the default settings from our engineers.

.topic 0x808E0417
An input field to enter the ad string you want blocked.

.topic 0x808E03EA
A checkmark enables advertisement blocking by ad string.

.topic 0x808E0407
The list of ad strings.

.topic 0x00000070
Lets you modify a highlighted ad string in the list.

.topic 0x000003f5
Removes a highlighted ad string from the list.

.topic 0x808E03EB
A checkmark in this box displays the Ad Trashcan on your desktop.

.IDD_PAGE_IMGSIZE (7) *****************************************************************************

.topic 0x80731F42
A checkmark enables advertisement blocking by image size.

.topic 0x807303F3
The input field used to specify the height of the image.

.topic 0x807303F4
The input field used to specify the width of the image.

.topic 0x807303F6
Adds the size (width and height) that you specify in the input field to the list of image sizes.

.topic 0x807303F2
The list of image sizes to be blocked.

.topic 0x80730003
Lets you modify a highlighted size in the list of image sizes.

.topic 0x807303fa
Removes a highlighted size from the list of image sizes.


Editing word in the block list

To edit a word in block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Highlight the word you want to edit
  6. Type in your changes
  7. Press Modify

  8. Press OK.

Note

You can get a quick access to plug-in properties by right clicking on its name in Left Panel of Outpost Firewall main window

Related Topics

About Ad string blocking

Adding word to the block list

Removing word from the block list


Removing word from the block list

To remove a word from the block list:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Ads

  4. Click Settings

  5. Highlight the word you want to remove

  6. Press Remove

  7. Press OK.

Note

You can get a quick access to plug-in properties by right clicking on its name in Left Panel of Outpost Firewall main window

Related Topics

About Ad string blocking

Editing word in the block list

Resetting block list to default